This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

classification
Title: Can't run Idle in Windows 8 or windows 64
Type: behavior Stage: resolved
Components: IDLE Versions: Python 3.4
process
Status: closed Resolution: duplicate
Dependencies: Superseder:
Assigned To: Nosy List: Vandana.Rao, amaury.forgeotdarc, nx.u, terry.reedy
Priority: normal Keywords:

Created on 2014-11-06 10:10 by nx.u, last changed 2022-04-11 14:58 by admin. This issue is now closed.

Messages (4)
msg230732 - (view) Author: nx u (nx.u) Date: 2014-11-06 10:10
Hi,

I have just downloaded and installed python34. When I run the short cut  IDLE python gui nothing happens  ( I think a command window appears briefly - not sure as this happens so quickly).  My machine runs windows 8 and 64 bit version of . I did the same on a windows 7 64 bit machine and double clicking the Python IDLE gui 32 bit doesn't work.

Not quite sure what's going on. Our machines are located in a school with GPOs controlling access and security. I am from the ICT support team. There isn't much reported on this issue on the internet either except a couple of entries in stackoverflow. But the solutions offered are far off the mark. Please help. The documentation on the Python web site is not clear or not detailed enough to diagnose the fault.
msg230735 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2014-11-06 11:20
You can try to run IDLE from a command prompt. Type the command:
  path_to_python34.exe -m idlelib

and look at error messages.
msg231694 - (view) Author: Vandana Rao (Vandana.Rao) * Date: 2014-11-26 06:51
Try uninstalling IDLE and install it once again.I had this situation previously where the command prompt opens and gets closed within fraction of seconds. Uninstall it completely and try once again.I hope this would work.
msg243367 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2015-05-16 21:13
Closing because this report contains insufficient information to act on.
History
Date User Action Args
2022-04-11 14:58:09adminsetgithub: 66993
2015-05-16 21:13:37terry.reedysetstatus: open -> closed
type: behavior
messages: + msg243367

resolution: duplicate
stage: resolved
2014-11-26 06:51:55Vandana.Raosetnosy: + Vandana.Rao
messages: + msg231694
2014-11-07 22:41:12terry.reedysetnosy: + terry.reedy
2014-11-06 11:20:35amaury.forgeotdarcsetnosy: + amaury.forgeotdarc
messages: + msg230735
2014-11-06 10:10:48nx.ucreate